#use pre-built ELF

Name:           redream
Version:        1.5.0_1045_g9f00768
Release:        %mkrel 1
Summary:        Redream is a portable Dreamcast emulator
Group:		Emulators
License:        Freeware
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://redream.io/
Source1:        %{name}.png
#-----------------------------------------------------------------

%description
Redream is a work-in-progress Dreamcast emulator, enabling you to play your favorite Dreamcast games in high-definition on Windows, Mac and Linux.


%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://redream.io/download/redream.x86_64-linux-v1.5.0-1045-g9f00768.tar.gz
tar -xf redream.x86_64-linux-v1.5.0-1045-g9f00768.tar.gz
popd


# Installs the ELF
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 0755  %{_sourcedir}/%{name} %{buildroot}%{_datadir}/%{name}/

# launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/Redream << EOF
#!/bin/sh
cd %{_datadir}/%{name}/
./%{name}
cd /
EOF

chmod a+x %{buildroot}%{_bindir}/Redream

# Installs the icon
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Redream
GenericName=redream
Comment=%{summary}
Exec=Redream
Icon=%{name}.png
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/*
%attr(777,-,-) %dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog

* Sat Dec 24 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.5.0_1045_g9f00768-1pclos2022
- Updated package with latest  pre-built ELF.

* Wed Feb 23 2022 Agent Smith <ruidobranco@yahoo.com.br> - 1.5.0-1pclos2022
- Created pkg from pre-built ELF.
